Qt 5.8 | Qt 3D | QML Types | ObjectPicker QML Type

Qt 5.8.0 Reference Documentation

# ObjectPicker QML Type

The ObjectPicker class instantiates a component that can be used to interact with an Entity by a process known as picking. More...

Import Statement: | import Qt3D.Render 2.0
Instantiates: | QObjectPicker

- List of all members, including inherited members

## Properties

- containsMouse : bool
- dragEnabled : bool
- hoverEnabled : bool
- pressed : bool

## Signals

- void clicked()
- void entered()
- void exited()
- void moved()
- void pressed()
- void released()

## Detailed Description

* * * *

## Property Documentation

containsMouse : bool

Specifies if the object picker currently contains the mouse

dragEnabled : bool

hoverEnabled : bool

Specifies if hover is enabled

pressed : bool

Specifies if the object picker is currently pressed

## Signal Documentation

void clicked()

This signal is emitted when the bounding volume defined by the pickAttribute property intersects with a ray on a mouse click.

void entered()

This signal is emitted when the bounding volume defined by the pickAttribute property intersects with a ray on the mouse entering the volume.

void exited()

This signal is emitted when the bounding volume defined by the pickAttribute property intersects with a ray on the ray exiting the volume.

void moved()

This signal is emitted when the bounding volume defined by the pickAttribute property intersects with a ray on a mouse move with a button pressed.

void pressed()

This signal is emitted when the bounding volume defined by the pickAttribute property intersects with a ray on a mouse press.

void released()

This signal is emitted when the bounding volume defined by the pickAttribute property intersects with a ray on a mouse release.